> For the complete documentation index, see [llms.txt](https://docs.paradime.io/app-help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paradime.io/app-help/products/bolt/integrations/orchestration.md).

# Orchestration

Paradime provides an handy API to be able to include Bolt runs within your existing data pipeline,with tools such as Airflow, Prefect, Dagster, and Azure Data Factory (ADF).

### Requirements[​](https://app.demo.paradime.io/_help/92e9662/bolt-api#requirements) <a href="#requirements" id="requirements"></a>

To trigger runs and check the status of a running schedules using the Bolt API you will need:

* **`API Key`**
* **`API Secret`**
* **`API Endpoint`**

{% content-ref url="/pages/ZsR10m0IstITtXbGOX9C" %}
[API Keys](/app-help/developers/generate-api-keys.md)
{% endcontent-ref %}

### API Endpoints

To integrate Bolt schedules we provide two endpoints within Paradime:

* trigger a schedule run
* check the status of a run

### Schedule configurations <a href="#schedule-name-configurations" id="schedule-name-configurations"></a>

You will need a schedule name defined in the `paradime_schedules.yml` or in the UI.

For schedules you want to use with the [Bolt API,](/app-help/documentation/bolt/bolt-api.md) make sure to set the schedule cron configuration as `OFF` (see example below).

{% content-ref url="/pages/M8bl90oZmlwrG8gXzXvX" %}
[Creating Schedules](/app-help/documentation/bolt/creating-schedules.md)
{% endcontent-ref %}

{% code title="paradime\_schedules.yml" lineNumbers="true" %}

```yaml
schedules:
  - name: operations_run
    schedule: "OFF"
    environment: production
    commands:
      - dbt seed
      - dbt run -m +fact_orders
    owner_email: "fabio@paradime.io"
    slack_notify:
      - "#tmp-alert-testing"
    slack_on:
      - passed
      - failed
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paradime.io/app-help/products/bolt/integrations/orchestration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
